libsswf: sswf::TagEnd Class Reference

# sswf::TagEnd Class Reference

Mark the end of a list of tags. More...

`#include <libsswf.h>`

Inheritance diagram for sswf::TagEnd:

List of all members.

## Public Member Functions
virtual ErrorManager::error_code_t | Save (Data &data)
| Save the TagEnd in the specified Data buffer.
| TagEnd (TagBase *parent)
| Initialize the TagEnd.
virtual swf_type_t | TypeFlags (void) const
| Returns the type flags of the TagEnd.
## Private Member Functions
virtual ErrorManager::error_code_t | ParseTag (swf_tag_t tag, const Data &data)
| Parse data from a file into a End tag.

## Detailed Description

This tag is used to mark the end of the list of tags in the main movie and in a TagSprite control list.

It seems that a TagEnd is not mandatory, but it can help to have it so the movie can be considered 100% valid. For this reason, the SSWF library will automatically add an sswf::TagEnd whenever none are present. Also, if the control list does not end with a sswf::TagShowFrame, that tag is also added.

            if not(control list ends with TagEnd) then
                    if not(control list ends with TagShowFrame) then
                            add TagShowFrame to control list
                    end if
                    add TagEnd to control list
            end if

See also:
  sswf::TagShowFrame

  sswf::TagSprite

  sswf::TagHeader

  SWF Alexis' Reference—End

  SWF Alexis' Reference—swf_tag

## Constructor & Destructor Documentation

TagEnd::TagEnd | ( | TagBase * | parent | ) |

A TagEnd is empty. The only initialization is the parent of the tag.

Parameters:

  | parent | The parent tag of this tag

## Member Function Documentation

ErrorManager::error_code_t TagEnd::ParseTag | ( | swf_tag_t | tag,
|  | const Data & | data |
| ) |  |  | `[private, virtual]`

This function does nothing since the End tag has no data.

Parameters:

  `[in]` | tag | The tag that generated this call
  `[in]` | data | The Data buffer from the Flash file being loaded

Returns:
  An error if one occurs, or ErrorManager::ERROR_CODE_NONE

Implements sswf::TagBase.

References sswf::ErrorManager::ERROR_CODE_NONE.

ErrorManager::error_code_t TagEnd::Save | ( | Data & | data | ) | `[virtual]`

This function saves the TagEnd which is saving a 16 bits zero in the Data buffer.

Parameters:

  | data | The Data buffer where the TagEnd is saved

Returns:
  The function returns zero when no errors; non-zero otherwise

Implements sswf::TagBase.

References sswf::ErrorManager::ERROR_CODE_NONE, sswf::TagBase::Name(), sswf::TagBase::Parent(), sswf::TagBase::Previous(), sswf::TagBase::SaveTag(), sswf::TagBase::ShowFrame(), and sswf::TagBase::SWF_TAG_END.

TagBase::swf_type_t TagEnd::TypeFlags | ( | void |  | ) | const`[virtual]`

The TagEnd is a CONTROL tag.

Returns:
  The type flags of this tag

Implements sswf::TagBase.

References SWF_TYPE_CONTROL.

The documentation for this class was generated from the following files:

- libsswf.h
- libsswf_tag_end.c++